#ifndef DISPLAYMANAGER_H
#define DISPLAYMANAGER_H

#include <config.h>
#include <TFT_eSPI.h>
#include <SPI.h>

class displayManager 
{
    public:
        displayManager(TFT_eSPI& tft);

        TFT_eSPI& getDisplay();

        void selectScreen(uint8_t myScreen);
        void selectAllScreens();
        void reset();

        void fillAllScreens(uint32_t myColor);
        void clearAllScreens();

        void clearScreen(uint8_t myScreen);

    private:
        uint8_t myTFTList[NUMBEROFDISPLAYS] = {SCREEN_1_CS, SCREEN_2_CS, SCREEN_3_CS};
        TFT_eSPI& myTFT;
};

#endif // DISPLAYMANAGER_H