#ifndef MAIN_H
#define MAIN_H

#include <Arduino.h>


#define DISPLAY_UNDEFINED 1
#define DISPLAY_WATTAGE 2
#define DISPLAY_POWERBTN 3
#define DISPLAY_POWERACTIVEBTN 4
#define DISPLAY_WIFICONNECT 5
#define DISPLAY_ANALOGCLOCK 6
#define DISPLAY_INFO 7
#define DISPLAY_ALARM 8


   //-----------------------------------------------------------------------------------------------------------------------------------------
 
  
  #define DEG2RAD 0.0174532925   
                                      

   int myAnalogClockHour = 0;                                                                         
   int myAnalogClockMinute = 0;                                                                         
   int myAnalogClockSecond = 0;       
   char myAnalogClockDateString[3];   
   char myAnalogClockOldDateString[3];
   uint16_t myAnalogSecondsTillDisplayed = 5;

   boolean firstStartAnalogClock = true;

 
   float sx = 0, sy = 1, mx = 1, my = 0, hx = -1, hy = 0;                              
   float sdeg = 0, mdeg= 0, hdeg = 0;
   uint16_t osx = 120, osy = 120, omx = 120, omy = 120, ohx = 120, ohy = 120;          
   uint16_t x0=0, x1=0, yy0=0, yy1=0;
   uint64_t targetTime = 0;   


const long  gmtOffset_sec = 3600;
const int   daylightOffset_sec = 3600;

bool tft_output(int16_t, int16_t, uint16_t, uint16_t, uint16_t);

void MQTTReconnect();
void showInfoMessage(int8_t, String);
int getFreeInfoScreen();
//--- Analoguhr
void createDial (int8_t);
boolean getInternetTime();
void showAnalogClockTime(int8_t);
boolean isClockDisplayed();



int getFreeInfoScreen();
void doMQTTPowerDown(int);
boolean doTasmotaSwitchOff(int);
boolean doTasmotaSwitchOn(int);

void connectToWifi();
void MQTTcallback(char*, byte*, uint32_t);
void doSwitchOff(uint8_t);
void MQTTReconnect();


String httpGETRequest(const char*);

void readTasmotaData(uint8_t);

void showAlarm(uint8_t, String, String);

void showInfoMessage(int8_t, String);
void clearInfoMessages();

void setup();
void loop();


#endif